const config = require('../../config');
const providers = config.providers;
const crypto = require('crypto');
const bcrypt = require('bcrypt');
const moment = require('moment');

module.exports = function(sequelize, DataTypes) {
  const customer_return_lines = sequelize.define(
    'customer_return_lines',
    {
      id: {
        type: DataTypes.UUID,
        defaultValue: DataTypes.UUIDV4,
        primaryKey: true,
      },

quantity: {
        type: DataTypes.DECIMAL,
      
      

      },

refund_amount: {
        type: DataTypes.DECIMAL,
      
      

      },

condition_notes: {
        type: DataTypes.TEXT,
      
      

      },

      importHash: {
        type: DataTypes.STRING(255),
        allowNull: true,
        unique: true,
      },
    },
    {
      timestamps: true,
      paranoid: true,
      freezeTableName: true,
    },
  );

  customer_return_lines.associate = (db) => {


/// loop through entities and it's fields, and if ref === current e[name] and create relation has many on parent entity
























































//end loop



    db.customer_return_lines.belongsTo(db.customer_returns, {
      as: 'customer_return',
      foreignKey: {
        name: 'customer_returnId',
      },
      constraints: false,
    });

    db.customer_return_lines.belongsTo(db.items, {
      as: 'item',
      foreignKey: {
        name: 'itemId',
      },
      constraints: false,
    });

    db.customer_return_lines.belongsTo(db.lots, {
      as: 'lot',
      foreignKey: {
        name: 'lotId',
      },
      constraints: false,
    });

    db.customer_return_lines.belongsTo(db.serial_numbers, {
      as: 'serial_number',
      foreignKey: {
        name: 'serial_numberId',
      },
      constraints: false,
    });

    db.customer_return_lines.belongsTo(db.organizations, {
      as: 'organizations',
      foreignKey: {
        name: 'organizationsId',
      },
      constraints: false,
    });




    db.customer_return_lines.belongsTo(db.users, {
      as: 'createdBy',
    });

    db.customer_return_lines.belongsTo(db.users, {
      as: 'updatedBy',
    });
  };



  return customer_return_lines;
};


